Bug 223046 - devel/anjuta: build fails due to missing plugin when enabled with SVN (subversion) plugin
Summary: devel/anjuta: build fails due to missing plugin when enabled with SVN (subver...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-16 10:31 UTC by O. Hartmann
Modified: 2019-01-10 16:07 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback-


Attachments
anjuta.diff (576 bytes, patch)
2018-12-28 11:03 UTC, Tobias Kortkamp
tobik: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2017-10-16 10:31:25 UTC
poudriere fails to build devel/anjuta when option SVN (subversion plugin) is enabled, building the port fails with error shown below:

[...]
gmake[4]: Leaving directory '/wrkdirs/usr/ports/devel/anjuta/work/anjuta-3.18.2'
gmake[3]: Leaving directory '/wrkdirs/usr/ports/devel/anjuta/work/anjuta-3.18.2'
gmake[2]: Leaving directory '/wrkdirs/usr/ports/devel/anjuta/work/anjuta-3.18.2'
gmake[1]: Leaving directory '/wrkdirs/usr/ports/devel/anjuta/work/anjuta-3.18.2'
====> Compressing man pages (compress-man)
===========================================================================
=======================<phase: package        >============================
===>  Building package for anjuta-3.18.2_2
actual-package-depends: dependency on /usr/bin/svn not registered (normal if it belongs to base)
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/anjuta/work/stage/usr/local/lib/anjuta/anjuta-subversion.plugin:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/anjuta/work/stage/usr/local/lib/anjuta/libanjuta-subversion.so:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/anjuta/work/stage/usr/local/share/anjuta/glade/anjuta-subversion.ui:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/anjuta/work/stage/usr/local/share/anjuta/ui/anjuta-subversion.xml:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/anjuta/work/stage/usr/local/share/pixmaps/anjuta/anjuta-subversion-plugin-48.png:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/devel/anjuta/work/stage/usr/local/share/pixmaps/anjuta/anjuta-subversion-plugin.svg:No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/anjuta
====>> Cleaning up wrkdir
===>  Cleaning for anjuta-3.18.2_2
build of devel/anjuta ended at Mon Oct 16 09:58:58 UTC 2017
build time: 00:02:53
!!! build failure encountered !!!
Comment 1 Tobias Kortkamp freebsd_committer 2018-12-28 11:03:06 UTC
Created attachment 200572 [details]
anjuta.diff

(In reply to O. Hartmann from comment #0)
> actual-package-depends: dependency on /usr/bin/svn not registered (normal if
> it belongs to base)

Why does /usr/bin/svn exist in your build jail?  Normally, only it's installed
as /usr/bin/svnlite.  Do you have WITH_SVN set somewhere?

Can you try building with this patch?  It seems that the svn plugin links with 
libsvn_client-1.so but the dependency is not properly declared.  The base
system does not provide it, so a check for just 'svn' is not enough.
Comment 2 commit-hook freebsd_committer 2019-01-10 16:07:24 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 10 16:06:28 UTC 2019
New revision: 489867
URL: https://svnweb.freebsd.org/changeset/ports/489867

Log:
  devel/anjuta: Fix build of SVN plugin when /usr/bin/svn exists on the system

  The SVN plugin is never built and packaging anjuta fails.  It links
  with libsvn_client-1.so but the dependency is not properly declared.

  A check for just 'svn' is not enough since the base system does not
  provide subversion libraries.  Change it to always use the libraries
  from devel/subversion.

  PR:		223046
  Submitted by:	tobik
  Reported by:	ohartmann@walstatt.org
  Approved by:	gnome (maintainer timeout, 2 weeks)

Changes:
  head/devel/anjuta/Makefile